Herald
OpenapiUsers

Get user's effective permissions

Returns all permissions a user has, including: - Permissions directly assigned to the user - Permissions inherited from roles Each permission includes its source (role name or "direct").

GET
/api/users/{userId}/effective-permissions

Returns all permissions a user has, including:

  • Permissions directly assigned to the user
  • Permissions inherited from roles

Each permission includes its source (role name or "direct").

Path Parameters

userId*string

User ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/effective-permissions"
{  "permissions": [    {      "name": "string",      "source": "string",      "source_name": "string"    }  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}